Skip to main content
GET
User History

Authorizations

Authorization
string
header
required

JWT token for authentication

Query Parameters

page
string
required

Page number for pagination (starts at 1).

limit
string
required

Number of items per page (maximum 50).

sortBy
enum<string>
required

The field that results will be sorted by. Either "createdAt" (sorting by the datetime that the quote was created) or "updatedAt" (sorting by the datetime that the quote was last updated). Must be used in conjunction with sortDirection.

Available options:
createdAt,
updatedAt
sortDirection
enum<string>
required

The order that results will be returned in. Either "asc" or "desc". Must be used in conjunction with sortBy.

Available options:
asc,
desc
state
enum<string>

Optional filter by the status of the bridge/bridge+swap transaction. One of: "PENDING" (the quote has been committed but the deposit has not yet been received and accepted for processing), "ACCEPTED" (the deposit has been accepted and the transaction is being processed onchain), or "EXECUTED" (fully processed onchain).

Available options:
PENDING,
ACCEPTED,
EXECUTED

Response

Success

totalItems
number
required

Total number of history items available (for pagination).

items
object[]
required

Array of history items with bridge details and any rejections.